Loading...
Searching...
No Matches
contains.hpp File Reference

## Functions

template<typename I , typename S , typename T , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && indirect_relation<equal_to, projected<I, P>, const T *>
constexpr bool | ranges::contains (I first, S last, const T &val, P proj={})
| function template `contains`
template<typename Rng , typename T , typename P = identity> requires input_range<Rng> && indirect_relation<equal_to, projected<iterator_t<Rng>, P>, const T *>
constexpr bool | ranges::contains (Rng &&rng, const T &val, P proj={})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.